net.sf.cglib.transform.impl

## Class AccessFieldTransformer

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.transform.ClassTransformer
    - - net.sf.cglib.core.ClassEmitter
      - - net.sf.cglib.transform.ClassEmitterTransformer
        - - net.sf.cglib.transform.impl.AccessFieldTransformer

-     public class AccessFieldTransformer
      extends ClassEmitterTransformer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `AccessFieldTransformer.Callback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessFieldTransformer(AccessFieldTransformer.Callback callback)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `declare_field(int access, java.lang.String name, Type type, java.lang.Object value)`

    - ### Methods inherited from class net.sf.cglib.core.ClassEmitter

      `begin_class, begin_method, begin_static, end_class, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessFieldTransformer

          public AccessFieldTransformer(AccessFieldTransformer.Callback callback)

  - ### Method Detail

    - #### declare_field

          public void declare_field(int access,
                           java.lang.String name,
                           Type type,
                           java.lang.Object value)

      Overrides:
        `declare_field` in class `ClassEmitter`

Copyright (c) 2001 - Apache Software Foundation